Subject: bug#7758: 24.0.50; doc string and args of `dired-revert'

From: "Drew Adams" <[email-masked]>
Date: Wed, 29 Dec 2010 11:10:31 -0800

(defun dired-revert (&optional arg noconfirm)
  "Reread the dired buffer.
Must also be called after `dired-actual-switches' have changed.
Should not fail even on completely garbaged buffers.
Preserves old cursor, marks/flags, hidden-p."
 ...)
 
The doc string should say that there are two optionl arguments and they
are never used.  And it should say explicitly that this is because this
function is used as a value of `revert-buffer-function'.  The last part
is important - users should be able to see the connection easily.
 
And it would be better to name the args for this function IGNORE1 and
IGNORE2 or some such.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-12-20 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
-Ic:/imagesupport/include'